package com.bonus.canteen.core.supermarket.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

@ApiModel
public class MqSupermarketConfigVO {
   @ApiModelProperty("超市id")
   private Long supermarketId;
   @ApiModelProperty("线上超市模式(1现货2预定)")
   private Integer appSaleMode;
   @ApiModelProperty("最少配送时间（分）")
   private Integer minDeliveryTime;
   @ApiModelProperty("选择时间间隔（分）")
   private Integer selectTimeInterval;
   @ApiModelProperty("配送费（元）")
   private Integer deliveryCost;
   @ApiModelProperty("配送方式(1自取2配送)")
   private List<String> deliveryWayList;
   @ApiModelProperty("配送方式(1自取2配送)-数据库差选")
   private String deliveryWay;
   @ApiModelProperty("每日配置")
   private List<MqSupermarketConfigDetailVO> configDetailList;

   public Long getSupermarketId() {
      return this.supermarketId;
   }

   public Integer getAppSaleMode() {
      return this.appSaleMode;
   }

   public Integer getMinDeliveryTime() {
      return this.minDeliveryTime;
   }

   public Integer getSelectTimeInterval() {
      return this.selectTimeInterval;
   }

   public Integer getDeliveryCost() {
      return this.deliveryCost;
   }

   public List<String> getDeliveryWayList() {
      return this.deliveryWayList;
   }

   public String getDeliveryWay() {
      return this.deliveryWay;
   }

   public List<MqSupermarketConfigDetailVO> getConfigDetailList() {
      return this.configDetailList;
   }

   public void setSupermarketId(final Long supermarketId) {
      this.supermarketId = supermarketId;
   }

   public void setAppSaleMode(final Integer appSaleMode) {
      this.appSaleMode = appSaleMode;
   }

   public void setMinDeliveryTime(final Integer minDeliveryTime) {
      this.minDeliveryTime = minDeliveryTime;
   }

   public void setSelectTimeInterval(final Integer selectTimeInterval) {
      this.selectTimeInterval = selectTimeInterval;
   }

   public void setDeliveryCost(final Integer deliveryCost) {
      this.deliveryCost = deliveryCost;
   }

   public void setDeliveryWayList(final List<String> deliveryWayList) {
      this.deliveryWayList = deliveryWayList;
   }

   public void setDeliveryWay(final String deliveryWay) {
      this.deliveryWay = deliveryWay;
   }

   public void setConfigDetailList(final List<MqSupermarketConfigDetailVO> configDetailList) {
      this.configDetailList = configDetailList;
   }
}